"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.embedSpacingStyles = exports.embedCardStyles = void 0;
var _react = require("@emotion/react");
var embedCardStyles = exports.embedCardStyles = (0, _react.css)({
  '.ProseMirror': {
    ".embedCardView-content-wrap[layout^='wrap-']": {
      maxWidth: '100%'
    },
    ".embedCardView-content-wrap[layout='wrap-left']": {
      float: 'left'
    },
    ".embedCardView-content-wrap[layout='wrap-right']": {
      float: 'right'
    },
    ".embedCardView-content-wrap[layout='wrap-right'] + .embedCardView-content-wrap[layout='wrap-left']": {
      clear: 'both'
    }
  }
});
var embedSpacingStyles = exports.embedSpacingStyles = (0, _react.css)({
  margin: "0 ".concat("var(--ds-space-150, 12px)")
});