import { colorPalette } from '@atlaskit/adf-schema';
import { DEFAULT_BORDER_COLOR } from './common';
import getColorMessage from './getColorMessage';
import paletteMessages from './paletteMessages';
export const mapPaletteColor = (label, color) => {
  const key = label.toLowerCase().replace(' ', '-');
  const message = getColorMessage(paletteMessages, key);
  return {
    value: color,
    label,
    border: DEFAULT_BORDER_COLOR,
    message
  };
};

// row 1
export const textColorPalette = [];
colorPalette.forEach((label, color) => {
  textColorPalette.push(mapPaletteColor(label, color));
});