// Radio fields are different, they cannot be deselected by a user
//   Thereby they _always_ need a value for submission
//
// You can do that through `defaultValue`, or `isRequired: true`

export var isFieldset = function isFieldset(field) {
  return field.type === 'fieldset';
};
export var isTabGroup = function isTabGroup(field) {
  return field.type === 'tab-group';
};
export var isTabField = function isTabField(field) {
  return 'type' in field && field.type === 'tab';
};
export var isExpand = function isExpand(field) {
  return field.type === 'expand';
};
export var isDateRange = function isDateRange(value) {
  return value && value.hasOwnProperty('type') && value.type === 'date-range';
};