/** @jsx jsx */
import React from 'react';
import { jsx } from '@emotion/react';
import type { Node as PmNode } from '@atlaskit/editor-prosemirror/model';
import type { ExtensionsPluginInjectionAPI } from '../../types';
export interface Props {
    node: PmNode;
    pluginInjectionApi: ExtensionsPluginInjectionAPI;
    children?: React.ReactNode;
    showMacroInteractionDesignUpdates?: boolean;
    isNodeSelected?: boolean;
    isNodeHovered?: boolean;
    setIsNodeHovered?: (isHovered: boolean) => void;
}
declare const InlineExtension: (props: Props) => jsx.JSX.Element;
export default InlineExtension;
