import type { ExtensionProvider } from './types';
/**
 * Allow to run methods from the `ExtensionProvider` interface across all providers seamlessly.
 * This handles promise racing and discards rejected promises safely.
 */
declare const _default: (extensionProviders: (ExtensionProvider | Promise<ExtensionProvider>)[]) => ExtensionProvider;
export default _default;
