import type { EditorView } from '@atlaskit/editor-prosemirror/view';
import { AnalyticsEventPayload } from '../analytics';
export declare function getPerformanceOptions(view: EditorView): {
    trackingEnabled: boolean;
    samplingRate: number;
    slowThreshold: number;
};
export declare function startMeasureReactNodeViewRendered({ nodeTypeName, }: {
    nodeTypeName: string;
}): void;
export declare function stopMeasureReactNodeViewRendered({ nodeTypeName, dispatchAnalyticsEvent, samplingRate, slowThreshold, }: {
    nodeTypeName: string;
    dispatchAnalyticsEvent(payload: AnalyticsEventPayload): void;
    samplingRate: number;
    slowThreshold: number;
}): void;
