import React from 'react';
import ProviderFactory from './provider-factory';
import { ProviderType } from './types';
export declare const ProviderFactoryProvider: React.Provider<ProviderFactory>;
export declare const useProviderFactory: () => ProviderFactory;
export declare const useProvider: <T extends string>(name: T) => ProviderType<T> | undefined;
