"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.editorIsPresentTestCase = void 0;
var _inProductTesting = require("@atlaskit/in-product-testing");
var _Editor = require("../../../page-objects/Editor");
var editorIsPresentTestCase = exports.editorIsPresentTestCase = function editorIsPresentTestCase(testOptions) {
  return new _inProductTesting.InProductTestCase({
    testOptions: testOptions,
    title: 'content-area, title of Editor are visible',
    id: 'editor-is-present',
    assertions: function assertions(cy) {
      var editor = new _Editor.EditorPageObject(cy);
      editor.getTitleArea().should('be.visible');
      editor.getEditorArea().should('be.visible');
    }
  });
};