"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.inlineSmartLinksTestCollection = void 0;
var _inProductTesting = require("@atlaskit/in-product-testing");
var _delete = require("./delete");
var _edit = require("./edit");
var _insert = require("./insert");
var _unlink = require("./unlink");
var inlineSmartLinksTestCollection = exports.inlineSmartLinksTestCollection = function inlineSmartLinksTestCollection(opts) {
  return new _inProductTesting.InProductTestCollection({
    title: '@atlaskit/editor-core -> Inline Smart Links, happy paths',
    testCases: [(0, _insert.insertInlineSmartLinkTestCase)(opts), (0, _edit.editInlineSmartLinkTitleTestCase)(opts), (0, _edit.editInlineSmartLinkUrlTestCase)(opts), (0, _unlink.unlinkInlineSmartLinkTestCase)(opts), (0, _delete.deleteInlineSmartLinkTestCase)(opts)]
  });
};