"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InlineImageCardLoadingView = void 0;
var _react = require("@emotion/react");
var _spinner = _interopRequireDefault(require("@atlaskit/spinner"));
var _constants = require("./constants");
var _frame = require("./frame");
/** @jsx jsx */

var InlineImageCardLoadingView = exports.InlineImageCardLoadingView = function InlineImageCardLoadingView(_ref) {
  var _ref$testId = _ref.testId,
    testId = _ref$testId === void 0 ? 'media-inline-image-card-loading-view' : _ref$testId,
    _ref$height = _ref.height,
    height = _ref$height === void 0 ? _constants.ICON_SIZE_THRESOLD : _ref$height;
  return (0, _react.jsx)(_frame.Frame, {
    testId: testId
  }, (0, _react.jsx)(_spinner.default, {
    size: height > _constants.ICON_SIZE_THRESOLD ? 'medium' : 'small'
  }));
};