"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.highlightColorPalette = exports.REMOVE_HIGHLIGHT_COLOR = void 0;
var _adfSchema = require("@atlaskit/adf-schema");
var _common = require("./common");
var _getColorMessage = _interopRequireDefault(require("./getColorMessage"));
var _paletteMessages = _interopRequireDefault(require("./paletteMessages"));
var _textColorPalette = require("./textColorPalette");
var REMOVE_HIGHLIGHT_COLOR = exports.REMOVE_HIGHLIGHT_COLOR = '#00000000';
var highlightColorPalette = exports.highlightColorPalette = [{
  value: REMOVE_HIGHLIGHT_COLOR,
  label: 'No color',
  // Mostly informative, only used for analytics
  border: _common.DEFAULT_BORDER_COLOR,
  message: (0, _getColorMessage.default)(_paletteMessages.default, 'no-color')
}];
_adfSchema.backgroundColorPalette.forEach(function (label, color) {
  highlightColorPalette.push((0, _textColorPalette.mapPaletteColor)(label, color));
});