import { InProductTestCollection } from '@atlaskit/in-product-testing';
import { deleteEmbedSmartLinkTestCase } from './delete';
import { editEmbedSmartLinkTitleTestCase, editEmbedSmartLinkUrlTestCase } from './edit';
import { switchToEmbedSmartLinkTestCase } from './insert';
export var embedSmartLinksTestCollection = function embedSmartLinksTestCollection(opts) {
  return new InProductTestCollection({
    title: '@atlaskit/editor-core -> Embed Smart Links, happy paths',
    testCases: [switchToEmbedSmartLinkTestCase(opts), editEmbedSmartLinkTitleTestCase(opts), editEmbedSmartLinkUrlTestCase(opts), deleteEmbedSmartLinkTestCase(opts)]
  });
};