/** @jsx jsx */
import type { ReactElement } from 'react';
import { jsx } from '@emotion/react';
type Props = {
    children: ReactElement;
    isSelected?: boolean;
    isInteractive?: boolean;
    aspectRatio?: number | string;
    borderSize?: number;
    borderColor?: string;
    htmlAttrs?: {
        [key: string]: string | number | undefined;
    };
    onClick?: React.EventHandler<React.MouseEvent | React.KeyboardEvent>;
};
export declare const InlineImageWrapper: ({ children, isSelected, isInteractive, aspectRatio, borderSize, borderColor, htmlAttrs, onClick, }: React.PropsWithChildren<Props>) => jsx.JSX.Element;
export {};
