export declare const INLINE_IMAGE_WRAPPER_CLASS_NAME = "media-inline-image-wrapper";
export declare const INLINE_IMAGE_ASPECT_RATIO_CSS_VAR_KEY = "--editor-media-inline-image-aspect-ratio";
export declare const INLINE_IMAGE_BORDER_SIZE_CSS_VAR_KEY = "--editor-media-inline-image-border-size";
export declare const INLINE_IMAGE_BORDER_COLOR_CSS_VAR_KEY = "--editor-media-inline-image-border-color";
/**
 * Shifting the mediaInline image component (renders image) to align nicely with
 * mediaInline (renders text) is a bit of a testing ground. This numbers represent
 * shift in top and bottom and size adjustments to make up for lack of 1to1 size
 * mapping
 */
export declare const mediaInlineImageStyles: import("@emotion/react").SerializedStyles;
export declare const wrapperStyle: import("@emotion/react").SerializedStyles;
export declare const selectedStyle: import("@emotion/react").SerializedStyles;
export declare const interactiveStyle: import("@emotion/react").SerializedStyles;
export declare const borderStyle: import("@emotion/react").SerializedStyles;
