import { PanelType } from '@atlaskit/adf-schema';
export declare const darkPanelColors: {
    info: string;
    error: string;
    warning: string;
    tip: string;
    success: string;
    note: string;
    R900: string;
    R100S: string;
    R300S: string;
    R500S: string;
    R800S: string;
    R1200S: string;
    Y900: string;
    Y100S: string;
    Y300S: string;
    Y500S: string;
    Y800S: string;
    Y1200S: string;
    G900: string;
    G100S: string;
    G300S: string;
    G400S: string;
    G900S: string;
    G1200S: string;
    B900: string;
    B100S: string;
    B300S: string;
    B500S: string;
    B800S: string;
    B1200S: string;
    P900: string;
    P100S: string;
    P300S: string;
    P500S: string;
    P800S: string;
    P1200S: string;
    T900: string;
    T100S: string;
    T300S: string;
    T400S: string;
    T900S: string;
    T1200S: string;
    DarkGray: string;
    Gray: string;
    LightGray: string;
    TextColor: string;
};
export declare const getPanelDarkColor: (panelColor: string) => string;
export declare const getPanelBackgroundDarkModeColors: string;
export declare function getPanelDarkModeCSS(colorName: string, colorValue: string): string;
export declare const PanelSharedCssClassName: {
    prefix: string;
    content: string;
    icon: string;
};
export declare const PanelSharedSelectors: {
    infoPanel: string;
    notePanel: string;
    warningPanel: string;
    errorPanel: string;
    successPanel: string;
    noteButton: string;
    warningButton: string;
    removeButton: string;
    colorPalette: string;
    selectedColor: string;
    removeEmojiIcon: string;
    emojiIcon: string;
    selectedEmoji: string;
    addYourOwnEmoji: string;
    emojiNameInCustomEmoji: string;
    title: string;
    emojiPopup: string;
    searchEmoji: string;
    orangeWarningIcon: string;
    yellowWarningIcon: string;
    copyButton: string;
};
export declare const getPanelTypeBackgroundNoTokens: (panelType: Exclude<PanelType, PanelType.CUSTOM>) => string;
export declare const getPanelTypeBackground: (panelType: Exclude<PanelType, PanelType.CUSTOM>) => string;
export declare const panelSharedStylesWithoutPrefix: () => import("@emotion/react").SerializedStyles;
export declare const panelSharedStyles: () => import("@emotion/react").SerializedStyles;
