/// <reference types="react" />
import type { WrappedComponentProps } from 'react-intl-next';
import { SortOrder } from '../types';
export declare enum StatusClassNames {
    ASC = "sorting-icon-svg__asc",
    DESC = "sorting-icon-svg__desc",
    NO_ORDER = "sorting-icon-svg__no_order",
    SORTING_NOT_ALLOWED = "sorting-icon-svg__not-allowed"
}
declare const _default: import("react").FC<import("react-intl-next").WithIntlProps<{
    isSortingAllowed: boolean;
    sortOrdered?: SortOrder | undefined;
    onClick: () => void;
    onKeyDown: (event: import("react").KeyboardEvent<HTMLElement>) => void;
} & WrappedComponentProps>> & {
    WrappedComponent: import("react").ComponentType<{
        isSortingAllowed: boolean;
        sortOrdered?: SortOrder | undefined;
        onClick: () => void;
        onKeyDown: (event: import("react").KeyboardEvent<HTMLElement>) => void;
    } & WrappedComponentProps>;
};
export default _default;
