import type { ComponentClass } from 'react';
import React from 'react';
type SimpleEventHandler<T> = (event: T) => void;
export interface WithOutsideClickProps {
    handleClickOutside?: SimpleEventHandler<MouseEvent>;
    handleEscapeKeydown?: SimpleEventHandler<KeyboardEvent>;
}
export default function withOuterListeners<P>(Component: React.ComponentType<React.PropsWithChildren<P>>): ComponentClass<P & WithOutsideClickProps>;
export {};
