export declare const DEFAULT_IMAGE_WIDTH = 250;
export declare const DEFAULT_IMAGE_HEIGHT = 200;
export declare const DEFAULT_INLINE_IMAGE_ASPECT_RATIO: number;
export declare const DEFAULT_INLINE_IMAGE_BORDER_SIZE = 0;
/**
 * Reference Heights
 *
 * These heights enforce consistent sizes with media inline nodes due to
 * inconsistencies with center aligned inline nodes and text.
 *
 * There is conversation about refactoring media inline nodes to conform to
 * aligning correctly with the surrounding text.
 */
export declare const referenceHeights: {
    p: number;
    h1: number;
    h2: number;
    h3: number;
    h4: number;
    h5: number;
    h6: number;
};
